# powersim.R
#
# created 13-03-2020, KN
# last mod 16-03-2020, KN

# Stichprobengroesse
n <- c(5, 10, 15, 20)

# Groesse des Effekts (Teilberichte - Ganzbericht)
d <- 5

# Standardabweichung
s <- 3

# minimal relevanter Effekt
dmin <- d - s

# Simuliere Daten unter Annahme des minimal relevanten Effekts
sapply(n, function(n){
mean(replicate(2000,
        t.test(rnorm(n, mean=dmin, sd=s), alternative="less", mu=5,
               conf.level=.05)$p.value < .05))}
)
# 0.5800 0.8985 0.9750 0.9960
